<?php

namespace App\Repositories;

interface SupplierRepositoryInterface extends RepositoryBaseInterface
{
    public function addContact($supplierId, $contactIds = []): bool;

    public function removeContact($supplierId, $contactIds = []): bool;

    public function syncContact($supplierId, $contactIds = []): bool;

    public function addProductGroup($supplierId, $productGroupIds = []): bool;

    public function removeProductGroup($supplierId, $productGroupIds = []): bool;

    public function syncProductGroup($supplierId, $productGroupIds = []): bool;

    public function syncService($supplierId, $productGroupIds = []): bool;

    public function syncProfitCenter($supplierId, $profitCenterIds = []): bool;
}
